Bug 830041 - Immediate segfault in cogl application
Immediate segfault in cogl application
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cogl (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 23:58 EDT by W. Michael Petullo
Modified: 2013-08-01 04:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:22:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Print error instead of segfault when GLX missing (475 bytes, patch)
2012-06-22 19:02 EDT, W. Michael Petullo
no flags Details | Diff

  None (edit)
Description W. Michael Petullo 2012-06-07 23:58:03 EDT
Description of problem:
gnome-control-center immediately segfaults.

Version-Release number of selected component (if applicable):
control-center-3.4.2-1.fc17.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Run gnome-control-center
  
Actual results:
#0  _cogl_object_renderer_indirect_free (obj=0x8793b0) at ./cogl-renderer.c:115
#1  0x00007fffd666ae04 in clutter_backend_real_create_context (error=0x7fffffffd9f8, backend=0x762580) at ./clutter-backend.c:364
#2  clutter_backend_real_create_context (backend=0x762580, error=0x7fffffffd9f8) at ./clutter-backend.c:256
#3  0x00007fffd6681e13 in _clutter_feature_init (error=error@entry=0x7fffffffd9f8) at ./clutter-feature.c:107
#4  0x00007fffd668d7ea in clutter_init_real (error=error@entry=0x7fffffffd9f8) at ./clutter-main.c:1571
#5  0x00007fffd668da1b in post_parse_hook (error=0x7fffffffd9f8, context=<optimized out>, group=<optimized out>, data=<optimized out>) at ./clutter-main.c:1782
#6  post_parse_hook (context=<optimized out>, group=<optimized out>, data=<optimized out>, error=0x7fffffffd9f8) at ./clutter-main.c:1750
#7  0x00007ffff6132997 in g_option_context_parse (context=context@entry=0x8778c0, argc=argc@entry=0x0, argv=argv@entry=0x0, error=error@entry=0x7fffffffd9f8) at goption.c:2005
#8  0x00007fffd668dce2 in clutter_parse_args (error=0x7fffffffd9f0, argv=0x0, argc=0x0) at ./clutter-main.c:2018
#9  clutter_init (argc=argc@entry=0x0, argv=argv@entry=0x0) at ./clutter-main.c:2080
#10 0x00007fffd693e0b2 in gtk_clutter_init (argc=argc@entry=0x0, argv=argv@entry=0x0) at ./gtk-clutter-util.c:205
#11 0x00007fffd7469564 in cheese_gtk_init (argc=argc@entry=0x0, argv=argv@entry=0x0) at libcheese/cheese-gtk.c:58
#12 0x00007fffd78c40c3 in g_io_module_load (module=0x7ec920) at um-user-module.c:38
#13 0x00007ffff66a7026 in g_io_module_load_module (gmodule=0x7ec920) at giomodule.c:307
#14 0x00007ffff64319c1 in g_type_module_use (module=module@entry=0x7ec920) at gtypemodule.c:256
#15 0x00007ffff66a7404 in g_io_modules_load_all_in_directory_with_scope (dirname=dirname@entry=0x40edd8 "/usr/lib64/control-center-1/panels", scope=scope@entry=0x0) at giomodule.c:589
#16 0x00007ffff66a7487 in g_io_modules_load_all_in_directory (dirname=dirname@entry=0x40edd8 "/usr/lib64/control-center-1/panels") at giomodule.c:628
#17 0x000000000040975a in load_panel_plugins (shell=0x6de010) at gnome-control-center.c:799
#18 gnome_control_center_init (self=0x6de010) at gnome-control-center.c:1138
#19 0x00007ffff642ea06 in g_type_create_instance (type=7199296) at gtype.c:1892
#20 0x00007ffff64137a8 in g_object_constructor (type=<optimized out>, n_construct_properties=0, construct_params=0x0) at gobject.c:1849
#21 0x00007ffff6415261 in g_object_newv (object_type=object_type@entry=7199296, n_parameters=n_parameters@entry=0, parameters=parameters@entry=0x0) at gobject.c:1632
#22 0x00007ffff64158ac in g_object_new (object_type=7199296, first_property_name=first_property_name@entry=0x0) at gobject.c:1542
#23 0x0000000000409f39 in gnome_control_center_new () at gnome-control-center.c:1155
#24 0x0000000000407b02 in main (argc=1, argv=0x7fffffffdf38) at control-center.c:198

Expected results:

Additional info:
I performed a minium install of Fedora 17 and then later installed X11 and control-center using yum.
Comment 1 W. Michael Petullo 2012-06-22 19:00:59 EDT
It turns out this problem exists in all cogl applications. Debian has published a patch that helps.

After applying the patch and running gnome-control-center (or gthumb, etc.), I saw

    "...XServer appears to lack required GLX support"

instead of a segfault. This was an easy fix: install mesa-dri-drivers. But applications should not segfault.
Comment 2 W. Michael Petullo 2012-06-22 19:02:03 EDT
Created attachment 593837 [details]
Print error instead of segfault when GLX missing
Comment 3 Peter Robinson 2012-06-30 08:47:11 EDT
> Print error instead of segfault when GLX missing

That patch should be reported upstream
Comment 4 Kalev Lember 2012-07-23 13:50:02 EDT
Upstream ticket: https://bugzilla.gnome.org/show_bug.cgi?id=677517
Comment 5 Fedora End Of Life 2013-07-03 22:26:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 04:22:15 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.